Subject: Re: [HELP] stat(), file permission, r/w access : i'm LOST :(
From: Larry Hall <[email-masked]>
To: Sebastien Barre <[email-masked]>
Cc: [email-masked]
Date: Sat, 06 Mar 1999 14:01:12 -0500

At 09:47 PM 3/5/99 +0100, Sebastien Barre wrote:
>At 17:43 01/03/99 -0500, Larry Hall (RFK Partners, Inc) wrote:
>>At 11:27 PM 3/1/99 +0100, Sebastien Barre wrote:
>>>> This has been discussed many times on this list and is an NTism.
>>>
>>>Is there a workaround ? I mean, if this is a know bug, is there a way to
>>>fix it in the cygwin sources ?
>
>>Workarounds?  You might try removing yourself from Administrators group.
>>This may do the trick.  Alternatively, you can change your umask so that 
>>write permision is given to everyone.  That should solve it too.  
>
>Well, write permission was *already* given to anyone :
>
>administrateur [21] ~$ umask
>000
>administrateur [22] ~$ umask -S
>u=rwx,g=rwx,o=rwx
>
>and this had no influence :
>
>administrateur [23] ~$ touch foo
>administrateur [24] ~$ ll foo
>-rw-r--r--   1 544      Aucun           0 Mar  5 21:46 foo
>administrateur [26] ~$ perl -e 'print "yes" if -w "foo";'
>administrateur [27] ~$
>
>

I think I mentioned this to you before but I believe I initially left out
that you need to set "ntea" in your CYGWIN environment variable for the 
permissions to explicitly show up via ls and friends.  Be sure to check the
FAQ/archives about the issues with using "ntea" and FAT partitions however...

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]